# Add custom paths to $PATH
export PATH="$HOME/.local/bin:$PATH"

# Homebrew Configuration
# Add Homebrew's installation directory to the PATH
if [[ -d /opt/homebrew ]]; then
  export PATH="/opt/homebrew/bin:/opt/homebrew/sbin:$PATH"
elif [[ -d /usr/local ]]; then
  export PATH="/usr/local/bin:/usr/local/sbin:$PATH"
fi

# Source user-specific profile
if [ -f ~/.bash_profile ]; then
  . ~/.bash_profile
fi

# >>> conda initialize >>>
# !! Contents within this block are managed by 'conda init' !!
__conda_setup="$('/usr/local/Caskroom/miniforge/base/bin/conda' 'shell.bash' 'hook' 2> /dev/null)"
if [ $? -eq 0 ]; then
    eval "$__conda_setup"
else
    if [ -f "/usr/local/Caskroom/miniforge/base/etc/profile.d/conda.sh" ]; then
        . "/usr/local/Caskroom/miniforge/base/etc/profile.d/conda.sh"
    else
        export PATH="/usr/local/Caskroom/miniforge/base/bin:$PATH"
    fi
fi
unset __conda_setup

if [ -f "/usr/local/Caskroom/miniforge/base/etc/profile.d/mamba.sh" ]; then
    . "/usr/local/Caskroom/miniforge/base/etc/profile.d/mamba.sh"
fi
# <<< conda initialize <<<

# Customize prompt (example prompt)
PS1='\u@\h:\w\$ '

# Load FZF
if [ -f ~/.fzf.bash ]; then
  source ~/.fzf.bash
fi

# Additional configuration for visual enhancements (optional)
if command -v starship &> /dev/null; then
  eval "$(starship init bash)"
fi

